Uploaded image for project: 'MyFaces Core'
  1. MyFaces Core
  2. MYFACES-1406

Core and Shared project has dependency on myfaces:myfaces-api version 1.1.1

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 1.1.5-SNAPSHOT
    • Fix Version/s: 1.1.5
    • Component/s: build process
    • Labels:
      None

      Description

      Core and Shared project has dependency on myfaces:myfaces-api version 1.1.1. Their are 2 problems here:

      1) The dependency group is myfaces instead of org.apache.myfaces.core

      2) The version number is wrong.

      In many places this problem is minimized by the fact that the depenency is marked as "provided". I notices the problem why using eclipse. Eclipse was trying to use the 1.1.1 version of the API even though I was working with the 1.1.5-SNAPSHOT .

        Attachments

        1. patch-to-core.txt
          0.6 kB
          Paul Spencer
        2. patch-to-shared.txt
          0.6 kB
          Paul Spencer

          Activity

            People

            • Assignee:
              wsmoak Wendy Smoak
              Reporter:
              paulsp Paul Spencer
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: